## rhythmbox 3.4.2

=== debian/changelog ===
rhythmbox (3.4.2-4ubuntu1) bionic; urgency=medium

  * Merge with Debian (LP: #1752966). Remaining changes:
    + Split out zeitgeist plugin
    + debian/control.in:
      - Allow unity-control-center as alternate dependency
      - Suggest instead of recommend gst-plugins-ugly
      - Suggest rhythmbox-plugin-zeitgeist
      - Recommends rhythmbox-plugin-alternative-toolbar. It improves the
        user interface and makes it fit better with GNOME.
    + debian/rhythmbox-plugins.install, debian/control{,.in}: Drop context
      plugin - it's mostly broken and would need porting to webkit2 anyway.
    + debian/patches/02_use_escaped_podcast_uri.patch
      - Handle podcasts that have sound files with the same basename
    + debian/patches/03_magnatune_partner.patch:
      - Change magnatune partner ID to 'ubuntu'.
    + debian/patches/05_hide_on_quit.patch
      - Hide (not quit) if RB is playing when closed.
    + debian/patches/07_quicklists.patch
      - Add quicklists.
    + debian/patches/08_stop_quit.patch:
      - Add a "Stop & Quit"-option to the quickmenu (via .desktop)
      - Add new symbol to librhythmbox-core10.symbols 
    + debian/patches/make-shuffle-repeat-proper-toggle-actions.patch,
      debian/patches/restore-traditional-menubar.patch: Add a traditional
      menubar back when we want it, and fix the shuffle/repeat actions so
      they work correctly there.
    + debian/patches/0002-grilo-container-max-tracks.patch:
      increase CONTAINER_MAX_TRACKS to 15000
    + debian/patches/10_encoding_use_ubuntu_profiles.patch, debian/*.prs,
      debian/rhythmbox-data.install:
      - Add Ubuntu encoding presets and use them by default.
    + debian/source_rhythmbox.py: Add an apport hook.
    + Add breaks/replaces since we moved plugins from rhythmbox and rhythmbox-
      plugins-magnatune back to rhythmbox-plugins
  * Stop building rhythmbox-plugin-mozilla since it won't work in Firefox 53+

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 26 Mar 2018 10:49:17 -0400

rhythmbox (3.4.2-4) unstable; urgency=medium

  * Cherry-pick fix-build-with-gstreamer114.patch:
    - Fix build with gstreamer 1.14 (Closes: #894103)
  * Drop obsolete debian/NEWS entry from 2009

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 26 Mar 2018 10:29:47 -0400

rhythmbox (3.4.2-3) unstable; urgency=medium

  [ Simon McVittie ]
  * Update Vcs-* for migration from Alioth svn to salsa.debian.org git
  * debian/gbp.conf: Add
  * d/README.Debian, d/TODO: Remove svn Id markers. These are no longer useful
    for a package maintained in git.

  [ Jeremy Bicha ]
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 17 Mar 2018 21:43:24 -0400

rhythmbox (3.4.2-2) unstable; urgency=medium

  [ Simon McVittie ]
  * gir1.2-rb-3.0 Provides gir1.2-mpid-3.0, since it also contains
    MPID-3.0.typelib

  [ Laurent Bigonville ]
  * debian/patches/fix_mediakeys_api.patch: Fix use of mediakeys D-Bus API
  * debian/control.in: Bump Standards-Version to 4.1.3 (no further changes)
  * debian/source_rhythmbox.py: Install apport hook (thanks to Ubuntu)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 08 Feb 2018 14:23:43 +0100

rhythmbox (3.4.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/librhythmbox-core10.symbols:
    - Remove marshal symbols. Not a problem as they were internal.
  * debian/control.in:
    - Bump glib requirement.
    - Move packages needed for the documentation build to Build-Depends-Indep.
    - Drop obsolete build dependencies: libneon27-dev, libdiscid-dev,
      zlib1g-dev, libxt-dev.
  * debian/control.in, debian/rules:
    - The visualization plugin is gone.
  * debian/compat, debian/control.in, debian/rules:
    - Bump debhelper compat to 10. autoreconf is now enabled automatically.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 11 Oct 2017 19:01:41 +0200

rhythmbox (3.4.1-3) unstable; urgency=medium

  * debian/control.in:
    - Remove gir1.2-gnomekeyring-1.0 dependency, libgnome-keyring has been
      replaced by libsecret for quite some time already
    - Bump Standards-Version to 4.0.0 (no further changes)
  * d/rhythmbox-dev.lintian-overrides: Override gir-missing-typelib-dependency,
    rhythmbox-dev already depend against gir1.2-rb-3.0
  * d/gir1.2-rb-3.0.lintian-overrides: O: typelib-package-name-does-not-match

 -- Laurent Bigonville <bigon@debian.org>  Sun, 09 Jul 2017 18:36:54 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: rhythmbox
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 11),
               dh-exec,
               dh-python (>= 1.20130903),
               gnome-pkg-tools (>= 0.6),
               libgirepository1.0-dev (>= 0.10.0),
               gobject-introspection (>= 0.10.0),
               intltool (>= 0.35.0),
               libgtk-3-dev (>= 3.16.0),
               libgstreamer1.0-dev (>= 1.4.0),
               libgstreamer-plugins-base1.0-dev (>= 1.4.0),
               libgdk-pixbuf2.0-dev (>= 2.18.0),
               libglib2.0-dev (>= 2.38.0),
               libgpod-dev (>= 0.8.2-4),
               libtotem-plparser-dev (>= 3.2),
               libsoup2.4-dev (>= 2.42.0),
               libgudev-1.0-dev (>= 143) [linux-any],
               libmtp-dev (>= 0.3.0),
               libnotify-dev (>= 0.7.0),
               libbrasero-media3-dev (>= 2.31.5),
               libwebkit2gtk-4.0-dev,
               libsecret-1-dev (>= 0.18),
               libpeas-dev (>= 0.7.3),
               yelp-tools,
               x11proto-core-dev,
               liblircclient-dev,
               gtk-doc-tools (>= 1.4),
               python3-dev (>= 3.2.3),
               python-gi-dev,
               libdmapsharing-3.0-dev (>= 2.9.19),
               libjson-glib-dev,
               libgrilo-0.3-dev (>= 0.3.0),
               libxml2-dev (>= 2.7.8),
               libtdb-dev (>= 1.2.6),
               pkg-config,
Build-Depends-Indep: docbook-xsl (>= 1.54.1),
                     docbook-utils (>= 0.6.11),
                     libglib2.0-doc,
                     libgtk-3-doc,
                     libpango1.0-doc,
                     libgdk-pixbuf2.0-doc,
                     gstreamer1.0-doc,
                     gstreamer1.0-plugins-base-doc
Build-Conflicts: libmusicbrainz3-dev
Standards-Version: 4.1.3
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/rhythmbox.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/rhythmbox
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/rhythmbox/ubuntu
Homepage: https://wiki.gnome.org/Apps/Rhythmbox

Package: rhythmbox
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends},
         rhythmbox-data (>= ${source:Version}),
         librhythmbox-core10 (= ${binary:Version}),
         dbus,
         gstreamer1.0-plugins-base (>= 1.4.0),
         gstreamer1.0-plugins-good (>= 1.4.0),
         gstreamer1.0-x,
         media-player-info [linux-any]
Recommends: yelp,
            avahi-daemon,
            notification-daemon,
            gstreamer1.0-pulseaudio,
            gvfs-backends,
            rhythmbox-plugin-alternative-toolbar,
            rhythmbox-plugins
Suggests: gstreamer1.0-plugins-bad,
          gstreamer1.0-plugins-ugly,
          gnome-codec-install,
          gnome-control-center | unity-control-center,
          rhythmbox-plugin-cdrecorder,
          rhythmbox-plugin-zeitgeist
Description: music player and organizer for GNOME
 Rhythmbox is a very easy to use music playing and management program
 which supports a wide range of audio formats (including mp3 and ogg).
 Originally inspired by Apple's iTunes, the current version also supports
 Internet Radio, iPod integration and generic portable audio player
 support, Audio CD burning, Audio CD playback, music sharing, and
 Podcasts.

Package: rhythmbox-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Recommends: rhythmbox
Description: data files for rhythmbox
 Rhythmbox is a very easy to use music playing and management program
 which supports a wide range of audio formats (including mp3 and ogg).
 Originally inspired by Apple's iTunes, the current version also supports
 Internet Radio, iPod integration and generic portable audio player
 support, Audio CD burning, Audio CD playback, music sharing, and
 Podcasts.
 .
 This package contains pictures, localization files and other data
 needed by rhythmbox.

Package: rhythmbox-plugins
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends},
         rhythmbox (= ${binary:Version}),
         librhythmbox-core10 (= ${binary:Version}),
         gir1.2-rb-3.0 (= ${binary:Version}),
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-webkit2-4.0,
         gir1.2-peas-1.0,
         gir1.2-gstreamer-1.0,
         gir1.2-secret-1,
         python3-gi,
         python3-mako,
Breaks: rhythmbox (<< 3.3.1-2~), rhythmbox-plugin-magnatune (<< 3.3.1-2~)
Replaces: rhythmbox (<< 3.3.1-2~), rhythmbox-plugin-magnatune (<< 3.3.1-2~)
Description: plugins for rhythmbox music player
 Rhythmbox is a very easy to use music playing and management program
 which supports a wide range of audio formats (including mp3 and ogg).
 Originally inspired by Apple's iTunes, the current version also supports
 Internet Radio, iPod integration and generic portable audio player
 support, Audio CD burning, Audio CD playback, music sharing, and
 Podcasts.
 .
 This package contains the following plugins:
  - Cover art search
  - Audio CD Player
  - Last.fm
  - DAAP Music Sharing
  - FM Radio
  - Grilo media browser
  - IM Status
  - Internet Radio
  - Song Lyrics
  - Magnatune Store
  - Media Player Keys
  - Portable Players (generic, iPod, MTP)
  - Notification
  - Power Manager
  - Python Console
  - LIRC
  - Send tracks
  - Replay Gain
  - Soundcloud
  - MediaServer2 D-Bus interface
  - MPRIS D-Bus interface
  - Web remote control

Package: rhythmbox-plugin-cdrecorder
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         rhythmbox (= ${binary:Version})
Description: burning plugin for rhythmbox music player
 Rhythmbox is a very easy to use music playing and management program
 which supports a wide range of audio formats (including mp3 and ogg).
 Originally inspired by Apple's iTunes, the current version also supports
 Internet Radio, iPod integration and generic portable audio player
 support, Audio CD burning, Audio CD playback, music sharing, and
 Podcasts.
 .
 This package contains the brasero based CD/DVD burning plugin.

Package: rhythmbox-plugin-magnatune
Architecture: all
Section: oldlibs
Depends: ${misc:Depends},
         rhythmbox-plugins
Description: Magnatune plugin for rhythmbox (transitional package)
 This is a transitional package. It can safely be removed.

Package: rhythmbox-plugin-zeitgeist
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         rhythmbox (>= ${gnome:Version}),
         rhythmbox (<< ${gnome:NextVersion}),
         gir1.2-glib-2.0,
         gir1.2-peas-1.0,
         zeitgeist-core
Description: zeitgeist plugin for rhythmbox music player
 Rhythmbox is a very easy to use music playing and management program
 which supports a wide range of audio formats (including mp3 and ogg).
 Originally inspired by Apple's iTunes, the current version also supports
 Internet Radio, iPod integration and generic portable audio player
 support, Audio CD burning, Audio CD playback, music sharing, and
 Podcasts.
 .
 This package contains the zeitgeist logging plugin.

Package: librhythmbox-core10
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: support library for the rhythmbox music player
 Rhythmbox is a very easy to use music playing and management program
 which supports a wide range of audio formats (including mp3 and ogg).
 .
 This package contains the core support library used by rhythmbox and
 programs interacting with it.

Package: rhythmbox-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         librhythmbox-core10 (= ${binary:Version}),
         gir1.2-rb-3.0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.38.0),
         libgtk-3-dev,
         libsoup2.4-dev,
         libtotem-plparser-dev,
         libgstreamer1.0-dev
Suggests: rhythmbox-doc
Description: development files for the rhythmbox music player
 Rhythmbox is a very easy to use music playing and management program
 which supports a wide range of audio formats (including mp3 and ogg).
 .
 This package contains the development headers and libraries needed to
 build rhythmbox plugins.

Package: rhythmbox-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: devhelp
Description: documentation files for the rhythmbox music player
 Rhythmbox is a very easy to use music playing and management program
 which supports a wide range of audio formats (including mp3 and ogg).
 .
 This package contains the API documentation.

Package: gir1.2-rb-3.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends}
Provides: gir1.2-mpid-3.0 (= ${binary:Version})
Description: GObject introspection data for the rhythmbox music player
 Rhythmbox is a very easy to use music playing and management program
 which supports a wide range of audio formats (including mp3 and ogg).
 .
 This package contains introspection data for the Rhythmbox core support
 libraries. It can be used to write and execute plugins for rhythmbox in
 interpreted languages supporting it.

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with gir,gnome,python3

override_dh_autoreconf:
	dh_autoreconf --as-needed ./autogen.sh

ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFFLAGS = --with-gudev
else
CONFFLAGS = --without-gudev
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib/rhythmbox \
		--enable-lirc \
		--enable-gtk-doc \
		--disable-browser-plugin \
		--without-hal \
		$(CONFFLAGS)

override_dh_install:
	find debian/tmp -name '*.a' -delete -print
	find debian/tmp -name '*.la' -delete -print
	dh_install -Xsample-plugins -Xcontext

override_dh_missing:
	dh_missing --fail-missing -Xsample-plugins -Xcontext

override_dh_python3:
	dh_python3 --no-ext-rename /usr/lib/rhythmbox
	dh_python3 --no-ext-rename /usr/lib/$(DEB_HOST_MULTIARCH)/rhythmbox

override_dh_strip:
	dh_strip --dbgsym-migration='rhythmbox-dbg (<< 3.3.1-1~)'

override_dh_makeshlibs:
	dh_makeshlibs -prhythmbox-plugins --no-act
	dh_makeshlibs -prhythmbox-plugin-cdrecorder --no-act
	dh_makeshlibs -prhythmbox-plugin-zeitgeist --no-act
	dh_makeshlibs --remaining-packages -V -- -c4

## rhythmbox 3.4.2-4ubuntu1+9.0trisquel3

=== debian/changelog ===
rhythmbox (3.4.2-4ubuntu1+9.0trisquel3) etiona; urgency=medium

  * Changed referer for magnatune.     #Closes 1718

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 06 Dec 2019 17:35:54 +0000

## rhythmbox 3.4.3

=== debian/changelog ===
rhythmbox (3.4.3-2ubuntu1) eoan; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Allow unity-control-center as alternate dependency
      - Suggest instead of recommend gst-plugins-ugly
      - Recommends rhythmbox-plugin-alternative-toolbar. It improves the
        user interface and makes it fit better with GNOME.
    + debian/patches/02_use_escaped_podcast_uri.patch
      - Handle podcasts that have sound files with the same basename
    + debian/patches/03_magnatune_partner.patch:
      - Change magnatune partner ID to 'ubuntu'.
    + debian/patches/05_hide_on_quit.patch
      - Hide (not quit) if RB is playing when closed.
    + debian/patches/07_quicklists.patch
      - Add quicklists.
    + debian/patches/08_stop_quit.patch:
      - Add a "Stop & Quit"-option to the quickmenu (via .desktop)
      - Add new symbol to librhythmbox-core10.symbols 
    + debian/patches/make-shuffle-repeat-proper-toggle-actions.patch,
      debian/patches/restore-traditional-menubar.patch: Add a traditional
      menubar back when we want it, and fix the shuffle/repeat actions so
      they work correctly there.
    + debian/patches/0002-grilo-container-max-tracks.patch:
      increase CONTAINER_MAX_TRACKS to 15000
    + debian/patches/10_encoding_use_ubuntu_profiles.patch, debian/*.prs,
      debian/rhythmbox-data.install:
      - Add Ubuntu encoding presets and use them by default.
    + debian/source_rhythmbox.py: Add an apport hook.
  * debian/control: 
    - remove the transitional magnature package and the corresponding
      break/replaces, those were only needed until bionic
  * debian/patches/restore-traditional-menubar.patch:
    - remove that patch, we are not distro patching menubars back anymore

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 21 Jun 2019 16:01:08 +0200

rhythmbox (3.4.3-2) unstable; urgency=medium

  * Drop zeitgeist plugin, the plugin is not compatible with python 3 (Closes:
    #728532)
  * debian/control.in: Remove references to the context plugin

 -- Laurent Bigonville <bigon@debian.org>  Sat, 12 Jan 2019 13:07:34 +0100

rhythmbox (3.4.3-1) unstable; urgency=medium

  * New upstream release
  * debian/librhythmbox-core10.symbols: Update
  * Bump minimum libgtk-3-dev to 3.20.0
  * Disable browser plugin since it doesn't work with Firefox ESR 60+
  * Don't install disabled context plugin
  * debian/rhythmbox.install: Update AppStream metadata install location
  * Drop patches applied in new release:
    - fix-build-with-gstreamer114.patch
    - fix_mediakeys_api.patch

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 06 Jan 2019 11:45:38 -0500

rhythmbox (3.4.2-5) unstable; urgency=medium

  [ Michael Biebl ]
  * Don't hard-code architecture in gir1.2-rb-3.0.lintian-overrides

  [ Jeremy Bicha ]
  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Dec 2018 11:48:50 -0500

rhythmbox (3.4.2-4ubuntu2) cosmic; urgency=medium

  * debian/control.in:
    - demote the notification-daemon from Recommends to Suggests, the 
      notifications are nice to have but not important, also other
      desktop implement the notification interface from a different source.
      This way we stop pulling notification-daemon in main/the default
      installation when it's not needed.

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 10 Oct 2018 17:01:10 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libgirepository1.0-dev (>= 0.10.0),
                gobject-introspection (>= 0.10.0),
                intltool (>= 0.35.0),
-               libgtk-3-dev (>= 3.16.0),
+               libgtk-3-dev (>= 3.20.0),
                libgstreamer1.0-dev (>= 1.4.0),
                libgstreamer-plugins-base1.0-dev (>= 1.4.0),
                libgdk-pixbuf2.0-dev (>= 2.18.0),
@@ -51,10 +51,11 @@
                      gstreamer1.0-doc,
                      gstreamer1.0-plugins-base-doc
 Build-Conflicts: libmusicbrainz3-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/rhythmbox
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/rhythmbox.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/rhythmbox
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/rhythmbox/ubuntu
+Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/rhythmbox
+Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/rhythmbox
 Homepage: https://wiki.gnome.org/Apps/Rhythmbox
 
 Package: rhythmbox
@@ -71,7 +72,6 @@
          media-player-info [linux-any]
 Recommends: yelp,
             avahi-daemon,
-            notification-daemon,
             gstreamer1.0-pulseaudio,
             gvfs-backends,
             rhythmbox-plugin-alternative-toolbar,
@@ -80,8 +80,8 @@
           gstreamer1.0-plugins-ugly,
           gnome-codec-install,
           gnome-control-center | unity-control-center,
-          rhythmbox-plugin-cdrecorder,
-          rhythmbox-plugin-zeitgeist
+          notification-daemon,
+          rhythmbox-plugin-cdrecorder
 Description: music player and organizer for GNOME
  Rhythmbox is a very easy to use music playing and management program
  which supports a wide range of audio formats (including mp3 and ogg).
@@ -121,9 +121,7 @@
          gir1.2-gstreamer-1.0,
          gir1.2-secret-1,
          python3-gi,
-         python3-mako,
-Breaks: rhythmbox (<< 3.3.1-2~), rhythmbox-plugin-magnatune (<< 3.3.1-2~)
-Replaces: rhythmbox (<< 3.3.1-2~), rhythmbox-plugin-magnatune (<< 3.3.1-2~)
+         python3-mako
 Description: plugins for rhythmbox music player
  Rhythmbox is a very easy to use music playing and management program
  which supports a wide range of audio formats (including mp3 and ogg).
@@ -171,34 +169,6 @@
  .
  This package contains the brasero based CD/DVD burning plugin.
 
-Package: rhythmbox-plugin-magnatune
-Architecture: all
-Section: oldlibs
-Depends: ${misc:Depends},
-         rhythmbox-plugins
-Description: Magnatune plugin for rhythmbox (transitional package)
- This is a transitional package. It can safely be removed.
-
-Package: rhythmbox-plugin-zeitgeist
-Architecture: all
-Depends: ${misc:Depends},
-         ${python3:Depends},
-         ${shlibs:Depends},
-         rhythmbox (>= ${gnome:Version}),
-         rhythmbox (<< ${gnome:NextVersion}),
-         gir1.2-glib-2.0,
-         gir1.2-peas-1.0,
-         zeitgeist-core
-Description: zeitgeist plugin for rhythmbox music player
- Rhythmbox is a very easy to use music playing and management program
- which supports a wide range of audio formats (including mp3 and ogg).
- Originally inspired by Apple's iTunes, the current version also supports
- Internet Radio, iPod integration and generic portable audio player
- support, Audio CD burning, Audio CD playback, music sharing, and
- Podcasts.
- .
- This package contains the zeitgeist logging plugin.
-
 Package: librhythmbox-core10
 Section: libs
 Architecture: any
@@ -221,7 +191,7 @@
          librhythmbox-core10 (= ${binary:Version}),
          gir1.2-rb-3.0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.38.0),
-         libgtk-3-dev,
+         libgtk-3-dev (>= 3.20.0),
          libsoup2.4-dev,
          libtotem-plparser-dev,
          libgstreamer1.0-dev

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
--include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed
+
 
 %:
 	dh $@ --with gir,gnome,python3
@@ -19,6 +19,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--libexecdir=/usr/lib/rhythmbox \
+		--disable-browser-plugin \
 		--enable-lirc \
 		--enable-gtk-doc \
 		--disable-browser-plugin \
@@ -31,7 +32,7 @@
 	dh_install -Xsample-plugins -Xcontext
 
 override_dh_missing:
-	dh_missing --fail-missing -Xsample-plugins -Xcontext
+	dh_missing --fail-missing -Xsample-plugins -Xcontext -Xrbzeitgeist
 
 override_dh_python3:
 	dh_python3 --no-ext-rename /usr/lib/rhythmbox
@@ -43,5 +44,4 @@
 override_dh_makeshlibs:
 	dh_makeshlibs -prhythmbox-plugins --no-act
 	dh_makeshlibs -prhythmbox-plugin-cdrecorder --no-act
-	dh_makeshlibs -prhythmbox-plugin-zeitgeist --no-act
 	dh_makeshlibs --remaining-packages -V -- -c4

## rhythmbox 3.4.4

=== debian/changelog ===
rhythmbox (3.4.4-5ubuntu1) jammy; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in, debian/rhythmbox-plugin-zeitgeist.install,
      debian/rules:
      - Split out zeitgeist plugin
    + debian/control.in:
      - Allow unity-control-center as alternate dependency
      - Suggest instead of recommend gst-plugins-ugly
      - Recommends rhythmbox-plugin-alternative-toolbar. It improves the
        user interface and makes it fit better with GNOME.
    + debian/patches/02_use_escaped_podcast_uri.patch
      - Handle podcasts that have sound files with the same basename
    + debian/patches/03_magnatune_partner.patch:
      - Change magnatune partner ID to 'ubuntu'
    + debian/patches/05_hide_on_quit.patch
      - Hide (not quit) if RB is playing when closed
    + debian/patches/07_quicklists.patch
      - Add quicklists
    + debian/patches/08_stop_quit.patch:
      - Add a "Stop & Quit" option to the quickmenu (via .desktop)
      - Add new symbol to librhythmbox-core10.symbols
    + debian/patches/0002-grilo-container-max-tracks.patch:
      - Increase CONTAINER_MAX_TRACKS to 15000
    + debian/patches/10_encoding_use_ubuntu_profiles.patch, debian/*.prs,
      debian/rhythmbox-data.install:
      - Add Ubuntu encoding presets and use them by default
    + debian/patches/gitlab_lyrics_resources.patch:
      - Disable lyrics servers that are not working anymore, either because
        they are down or because they changed (lp: #1756597)

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 17 Feb 2022 13:39:15 -0500

rhythmbox (3.4.4-5) unstable; urgency=medium

  * Cherry-pick patch to remove obsolete GNOME MediaKeys plugin
  * Cherry-pick patch to make the replacement MPRIS plugin built-in
    so it can't be disabled
  * debian/rhythmbox-plugins.install: Don't try to install the MediaKeys plugin
  * Bump debhelper-compat to 13
  * Build-Depend on dh-sequence-gir, dh-sequence-gnome, dh-sequence-python3
  * debian/rules: Drop unneeded -Wl,--as-needed

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 10 Feb 2022 11:07:22 -0500

rhythmbox (3.4.4-4ubuntu2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 16 Jan 2022 07:10:54 +0000

rhythmbox (3.4.4-4ubuntu1) jammy; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in, debian/rhythmbox-plugin-zeitgeist.install,
      debian/rules:
      - Split out zeitgeist plugin
    + debian/control.in:
      - Allow unity-control-center as alternate dependency
      - Suggest instead of recommend gst-plugins-ugly
      - Recommends rhythmbox-plugin-alternative-toolbar. It improves the
        user interface and makes it fit better with GNOME.
    + debian/patches/02_use_escaped_podcast_uri.patch
      - Handle podcasts that have sound files with the same basename
    + debian/patches/03_magnatune_partner.patch:
      - Change magnatune partner ID to 'ubuntu'
    + debian/patches/05_hide_on_quit.patch
      - Hide (not quit) if RB is playing when closed
    + debian/patches/07_quicklists.patch
      - Add quicklists
    + debian/patches/08_stop_quit.patch:
      - Add a "Stop & Quit" option to the quickmenu (via .desktop)
      - Add new symbol to librhythmbox-core10.symbols
    + debian/patches/0002-grilo-container-max-tracks.patch:
      - Increase CONTAINER_MAX_TRACKS to 15000
    + debian/patches/10_encoding_use_ubuntu_profiles.patch, debian/*.prs,
      debian/rhythmbox-data.install:
      - Add Ubuntu encoding presets and use them by default
    + debian/patches/gitlab_lyrics_resources.patch:
      - Disable lyrics servers that are not working anymore, either because
        they are down or because they changed (lp: #1756597)
  * debian/control.in: add a missing runtime dependency on
    gir1.2-zeitgeist-2.0 for the zeitgeist plugin

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 15 Nov 2021 21:07:49 +0100

rhythmbox (3.4.4-4) unstable; urgency=medium

  * Team upload
  * Acknowledge NMU
  * Preferentially build-depend on libgdk-pixbuf-2.0-dev.
    We don't need the deprecated Xlib integration that is also pulled in
    by the older libgdk-pixbuf2.0-dev package (see #974870).
  * d/patches: Move Debian-specific patch to end of series
  * d/p/git_xfade_gstreamer.patch: Add more metadata
  * d/patches: Add patch to disable winampcn.com lyrics source.
    From upstream, via Ubuntu. Ubuntu also disables Dark Lyrics (limited
    scope, only works for metal songs) and Jetlyrics (unknown status)
    but those have not been changed upstream.

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Nov 2020 09:55:10 +0000

rhythmbox (3.4.4-3.1) unstable; urgency=medium

  * debian/patches/git_xfade_gstreamer.patch:
    - gst-helper: fix xfade playback with GStreamer 1.18+

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 06 Nov 2020 10:51:27 +0100

rhythmbox (3.4.4-3) unstable; urgency=medium

  * Team upload
  * d/p/plugins-Update-website-links.patch:
    Add patch from upstream to make plugins' Website links point to the
    GNOME wiki. rhythmbox.org seems to be mostly broken, and this change
    also has the side-effect of switching to https. (Closes: #964946)
  * Drop build-dependencies on GStreamer documentation.
    GStreamer documentation is not currently available in Debian due to
    changes in how upstream publish it. Don't adjust cross-references to
    point to a local copy. (Closes: #970741)
  * d/upstream/metadata: Add
  * Drop migration path from legacy -dbg package in Debian 8
  * Refresh patch series
  * d/p/Fix-broken-application-icon-in-About-dialog.patch,
    d/p/update-app-icon-name.patch,
    d/p/use-RB_APP_ICON-instead-of-hardcoding-icon-names.patch:
    Add patches (from upstream, via Ubuntu) to fix icon names (LP: #1878330)

 -- Simon McVittie <smcv@debian.org>  Thu, 24 Sep 2020 14:14:12 +0100

rhythmbox (3.4.4-2) unstable; urgency=medium

  [ Sebastien Bacher ]
  * debian/control.in:


=== debian/control ===
--- 
+++ 
@@ -7,26 +7,26 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 11),
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-exec,
-               dh-python (>= 1.20130903),
-               gnome-pkg-tools (>= 0.6),
+               dh-sequence-gir,
+               dh-sequence-gnome,
+               dh-sequence-python3,
                libgirepository1.0-dev (>= 0.10.0),
-               gobject-introspection (>= 0.10.0),
                intltool (>= 0.35.0),
                libgtk-3-dev (>= 3.20.0),
                libgstreamer1.0-dev (>= 1.4.0),
                libgstreamer-plugins-base1.0-dev (>= 1.4.0),
-               libgdk-pixbuf2.0-dev (>= 2.18.0),
+               libgdk-pixbuf-2.0-dev (>= 2.18.0) | libgdk-pixbuf2.0-dev (>= 2.18.0),
                libglib2.0-dev (>= 2.38.0),
-               libgpod-dev (>= 0.8.2-4),
+               libgpod-dev (>= 0.8.2-4) [!hurd-i386],
                libtotem-plparser-dev (>= 3.2),
                libsoup2.4-dev (>= 2.42.0),
                libgudev-1.0-dev (>= 143) [linux-any],
                libmtp-dev (>= 0.3.0),
                libnotify-dev (>= 0.7.0),
-               libbrasero-media3-dev (>= 2.31.5),
+               libbrasero-media3-dev (>= 2.31.5) [!hurd-i386],
                libwebkit2gtk-4.0-dev,
                libsecret-1-dev (>= 0.18),
                libpeas-dev (>= 0.7.3),
@@ -48,14 +48,12 @@
                      libgtk-3-doc,
                      libpango1.0-doc,
                      libgdk-pixbuf2.0-doc,
-                     gstreamer1.0-doc,
-                     gstreamer1.0-plugins-base-doc
 Build-Conflicts: libmusicbrainz3-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/rhythmbox.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/rhythmbox
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/rhythmbox.git
-Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/rhythmbox
-Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/rhythmbox
+Vcs-Git: https://salsa.debian.org/gnome-team/rhythmbox.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/rhythmbox/tree/ubuntu/master
 Homepage: https://wiki.gnome.org/Apps/Rhythmbox
 
 Package: rhythmbox
@@ -81,7 +79,8 @@
           gnome-codec-install,
           gnome-control-center | unity-control-center,
           notification-daemon,
-          rhythmbox-plugin-cdrecorder
+          rhythmbox-plugin-cdrecorder,
+          rhythmbox-plugin-zeitgeist
 Description: music player and organizer for GNOME
  Rhythmbox is a very easy to use music playing and management program
  which supports a wide range of audio formats (including mp3 and ogg).
@@ -147,7 +146,6 @@
   - Power Manager
   - Python Console
   - LIRC
-  - Send tracks
   - Replay Gain
   - Soundcloud
   - MediaServer2 D-Bus interface
@@ -155,7 +153,7 @@
   - Web remote control
 
 Package: rhythmbox-plugin-cdrecorder
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          rhythmbox (= ${binary:Version})
@@ -168,6 +166,27 @@
  Podcasts.
  .
  This package contains the brasero based CD/DVD burning plugin.
+
+Package: rhythmbox-plugin-zeitgeist
+Architecture: all
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends},
+         rhythmbox (>= ${gnome:Version}),
+         rhythmbox (<< ${gnome:NextVersion}),
+         gir1.2-glib-2.0,
+         gir1.2-peas-1.0,
+         gir1.2-zeitgeist-2.0,
+         zeitgeist-core
+Description: zeitgeist plugin for rhythmbox music player
+ Rhythmbox is a very easy to use music playing and management program
+ which supports a wide range of audio formats (including mp3 and ogg).
+ Originally inspired by Apple's iTunes, the current version also supports
+ Internet Radio, iPod integration and generic portable audio player
+ support, Audio CD burning, Audio CD playback, music sharing, and
+ Podcasts.
+ .
+ This package contains the zeitgeist logging plugin.
 
 Package: librhythmbox-core10
 Section: libs

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf --as-needed ./autogen.sh

ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFFLAGS = --with-gudev
else
CONFFLAGS = --without-gudev
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-lirc \
		--enable-gtk-doc \
		$(CONFFLAGS)

override_dh_install:
	find debian/tmp -name '*.a' -delete -print
	find debian/tmp -name '*.la' -delete -print
	dh_install -Xsample-plugins -Xcontext

override_dh_missing:
	dh_missing -Xsample-plugins -Xcontext -Xrbzeitgeist

override_dh_python3:
	dh_python3 --no-ext-rename /usr/lib/rhythmbox
	dh_python3 --no-ext-rename /usr/lib/$(DEB_HOST_MULTIARCH)/rhythmbox

override_dh_makeshlibs:
	dh_makeshlibs -prhythmbox-plugins --no-act
	dh_makeshlibs -prhythmbox-plugin-cdrecorder --no-act
	dh_makeshlibs -prhythmbox-plugin-zeitgeist --no-act
	dh_makeshlibs --remaining-packages -V -- -c4

## rhythmbox 3.4.4-1ubuntu2+10.0trisquel3

=== debian/changelog ===
rhythmbox (3.4.4-1ubuntu2+10.0trisquel3) nabia; urgency=medium

  * Changed referer for magnatune.     #Closes 1718

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 30 Jul 2021 23:19:47 +0000

## rhythmbox 3.4.4-5ubuntu1+11.0trisquel3

=== debian/changelog ===
rhythmbox (3.4.4-5ubuntu1+11.0trisquel3) aramo; urgency=medium

  * Changed referer for magnatune.     #Closes 1718

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 21 Jun 2022 15:37:37 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-sequence-gir,

## rhythmbox 3.4.6

=== meson_options.txt ===
option('brasero', type: 'feature', value: 'auto',
       description: 'Enable disc burning support using libbrasero-media')
option('daap', type: 'feature', value: 'auto',
       description: 'Enable DAAP sharing support using libdmapsharing')
option('fm_radio', type: 'feature', value: 'auto',
       description: 'Enable FM radio support')
option('grilo', type: 'feature', value: 'auto',
       description: 'Enable Grilo support')
option('gudev', type: 'feature', value: 'auto',
       description: 'Enable GUdev for hardware detection')
option('ipod', type: 'feature', value: 'auto',
       description: 'Enable iPod support')
option('libnotify', type: 'feature', value: 'auto',
       description: 'Enable desktop notifications with libnotify')
option('libsecret', type: 'feature', value: 'auto',
       description: 'Enable keyring support using libsecret')
option('lirc', type: 'feature', value: 'auto',
       description: 'Enable lirc support')
option('mtp', type: 'feature', value: 'auto',
       description: 'Enable MTP support')
option('plugins_python', type: 'feature', value: 'auto',
       description: 'Enable Python plugins')
option('plugins_vala', type: 'feature', value: 'auto',
       description: 'Enable Vala plugins')
option('sample-plugins', type: 'boolean', value: 'false',
       description: 'Whether to install sample plugins')

option('help', type: 'boolean', value: 'true',
       description: 'Install user documentation')
option('gtk_doc', type: 'boolean', value: 'false',
       description: 'Use gtk-doc to build documentation')
option('tests', type: 'feature', value: 'auto',
       description: 'Build tests')

=== debian/changelog ===
rhythmbox (3.4.6-2ubuntu5) lunar; urgency=medium

  * debian/patches/git_library_ref.patch:
    - include an extra fix for the tests

 -- Sebastien Bacher <seb128@ubuntu.com>  Sat, 08 Apr 2023 15:30:38 +0200

rhythmbox (3.4.6-2ubuntu3.1) lunar; urgency=medium

  * debian/patches/git_library_ref.patch:
    - cherry pick an upstream change to resolve a test issue with the
      current glib version and fix the package build

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 07 Apr 2023 15:38:07 +0200

rhythmbox (3.4.6-2ubuntu3) lunar; urgency=medium

  * No change rebuild to get translations imported, launchpad was again
    wrongly set to share those with an outdated vcs (lp: #2013052)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 28 Mar 2023 12:36:48 +0200

rhythmbox (3.4.6-2ubuntu2) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 27 Dec 2022 03:42:10 +0000

rhythmbox (3.4.6-2ubuntu1) kinetic; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in, debian/rhythmbox-plugin-zeitgeist.install,
      debian/rules:
      - Split out zeitgeist plugin
    + debian/control.in:
      - Allow unity-control-center as alternate dependency
      - Suggest instead of recommend gst-plugins-ugly
      - Recommends rhythmbox-plugin-alternative-toolbar. It improves the
        user interface and makes it fit better with GNOME.
    + debian/patches/02_use_escaped_podcast_uri.patch
      - Handle podcasts that have sound files with the same basename
    + debian/patches/03_magnatune_partner.patch:
      - Change magnatune partner ID to 'ubuntu'
    + debian/patches/05_hide_on_quit.patch
      - Hide (not quit) if RB is playing when closed
    + debian/patches/07_quicklists.patch
      - Add quicklists
    + debian/patches/08_stop_quit.patch:
      - Add a "Stop & Quit" option to the quickmenu (via .desktop)
      - Add new symbol to librhythmbox-core10.symbols
    + debian/patches/0002-grilo-container-max-tracks.patch:
      - Increase CONTAINER_MAX_TRACKS to 15000
    + debian/patches/10_encoding_use_ubuntu_profiles.patch, debian/*.prs,
      debian/rhythmbox-data.install:
      - Add Ubuntu encoding presets and use them by default
    + debian/patches/gitlab_lyrics_resources.patch:
      - Disable lyrics servers that are not working anymore, either because
        they are down or because they changed (lp: #1756597)
  * Refresh patches
  * Drop 02_use_excaped_podcast_uri.patch: No longer needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 24 Jun 2022 08:20:44 -0400

rhythmbox (3.4.6-2) unstable; urgency=medium

  * Increase test timeout
  * Add patch to temporarily skip a build test failing on arm64

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 23 Jun 2022 10:13:54 -0400

rhythmbox (3.4.6-1) unstable; urgency=medium

  * New upstream release (Closes: #1012266)
  * Build with meson
  * debian/librhythmbox-core10.symbols: Update
  * debian/control.in: Build-Depend on desktop-file-utils
  * Build-Depend on check, librsvg2-common, xauth, and xvfb for build tests
  * debian/control.in: Don't recommend gstreamer1.0-pulseaudio
  * debian/rhythmbox.install: AppStream metadata file has new name
  * debian/rhythmbox-plugins.install: SoundCloud plugin is no longer provided
  * Drop all patches except the multiarch patch: applied in new release
  * Add proposed patch for build tests to use uninstalled gsettings schemas
  * Bump Standards-Version to 4.6.1
  * Drop obsolete Build-Conflicts
  * Set Rules-Requires-Root: no

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 22 Jun 2022 10:45:33 -0400

rhythmbox (3.4.4-5ubuntu2) kinetic; urgency=medium

  * Don't recommend gstreamer1.0-pulseaudio

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 20 May 2022 16:48:02 -0400

=== debian/control ===
--- 
+++ 
@@ -7,20 +7,23 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               check <!nocheck>,
+               desktop-file-utils,
                dh-exec,
                dh-sequence-gir,
                dh-sequence-gnome,
                dh-sequence-python3,
+               itstool,
                libgirepository1.0-dev (>= 0.10.0),
-               intltool (>= 0.35.0),
                libgtk-3-dev (>= 3.20.0),
                libgstreamer1.0-dev (>= 1.4.0),
                libgstreamer-plugins-base1.0-dev (>= 1.4.0),
                libgdk-pixbuf-2.0-dev (>= 2.18.0) | libgdk-pixbuf2.0-dev (>= 2.18.0),
                libglib2.0-dev (>= 2.38.0),
                libgpod-dev (>= 0.8.2-4) [!hurd-i386],
+               librsvg2-common <!nocheck>,
                libtotem-plparser-dev (>= 3.2),
                libsoup2.4-dev (>= 2.42.0),
                libgudev-1.0-dev (>= 143) [linux-any],
@@ -30,7 +33,7 @@
                libwebkit2gtk-4.0-dev,
                libsecret-1-dev (>= 0.18),
                libpeas-dev (>= 0.7.3),
-               yelp-tools,
+               meson (>= 0.59.0),
                x11proto-core-dev,
                liblircclient-dev,
                gtk-doc-tools (>= 1.4),
@@ -42,14 +45,16 @@
                libxml2-dev (>= 2.7.8),
                libtdb-dev (>= 1.2.6),
                pkg-config,
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
 Build-Depends-Indep: docbook-xsl (>= 1.54.1),
                      docbook-utils (>= 0.6.11),
                      libglib2.0-doc,
                      libgtk-3-doc,
                      libpango1.0-doc,
                      libgdk-pixbuf2.0-doc,
-Build-Conflicts: libmusicbrainz3-dev
-Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Standards-Version: 4.6.1
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/rhythmbox.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/rhythmbox
 Vcs-Git: https://salsa.debian.org/gnome-team/rhythmbox.git -b ubuntu/master
@@ -70,7 +75,7 @@
          media-player-info [linux-any]
 Recommends: yelp,
             avahi-daemon,
-            gstreamer1.0-pulseaudio,
+            notification-daemon,
             gvfs-backends,
             rhythmbox-plugin-alternative-toolbar,
             rhythmbox-plugins
@@ -147,7 +152,6 @@
   - Python Console
   - LIRC
   - Replay Gain
-  - Soundcloud
   - MediaServer2 D-Bus interface
   - MPRIS D-Bus interface
   - Web remote control

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1

%:
	dh $@

ifneq ($(DEB_HOST_ARCH_OS),linux)
CONFFLAGS = --Dgudev=disabled
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Dgtk_doc=true \
		-Dplugins_vala=disabled \
		$(CONFFLAGS)

override_dh_auto_test:
	xvfb-run dh_auto_test -- --timeout-multiplier 3

# This plugin was dropped from the Debian package years ago
# It would need to depend on zeitgeist to be useful
# So we'd probably want to add a separate binary package
# since zeitgeist isn't something we need by default these days
override_dh_missing:
	dh_missing -Xrbzeitgeist

override_dh_python3:
	dh_python3 --no-ext-rename /usr/lib/rhythmbox
	dh_python3 --no-ext-rename /usr/lib/$(DEB_HOST_MULTIARCH)/rhythmbox

override_dh_makeshlibs:
	dh_makeshlibs -prhythmbox-plugins --no-act
	dh_makeshlibs -prhythmbox-plugin-cdrecorder --no-act
	dh_makeshlibs -prhythmbox-plugin-zeitgeist --no-act
	dh_makeshlibs --remaining-packages
